Articles of pip

Comment puis-je installer depuis un sous-répertoire git avec pip?

J’ai un repository git avec de nombreux dossiers, l’un d’entre eux étant un module python installable avec pip, comme ceci: repo.git/ repo.git/folder1/ repo.git/folder2/ repo.git/mymodule/ repo.git/mymodule/__init__.py repo.git/mymodule/setup.py repo.git/mymodule/… Pour le moment, je dois procéder comme suit pour installer: git clone http://server/repo.git cd repo pip install mymodule cd .. rm -rf repo Est-il possible d’installer le module […]

Attention: impossible de trouver l’emplacement svn pour la dissortingbution == 0.6.16dev-r0

Je reçois l’erreur suivante avec cette commande: $pip freeze > requirements.txt Warning: cannot find svn location for dissortingbute==0.6.16dev-r0 Ceci est mon fichier requirements.txt au préalable: Django==1.3 django-registration==0.7

Je ne peux pas installer aws cli sur mac os avec pip – awscli: commande introuvable

J’ai essayé de suivre ce tutoriel . C’est ce que j’ai fait dans la console: pip3 install –user –upgrade awscli après cela, quand j’écris: pip3 –version Je suis en train: pip 9.0.1 from /Users/user/Library/Python/3.4/lib/python/site-packages (python 3.4) alors j’ai écrit: pip3 install –user –upgrade awscli cette commande téléchargé awscli et ajouté automatiquement ceci: # Setting PATH […]

pip installe un repository git local

Je ne trouve pas la bonne façon d’installer un répertoire local en tant que package python en utilisant pip. (venv) C:\(…)>pip install . –no-index Ignoring indexes: http://pypi.python.org/simple/ Unpacking c:\users\fsantos\desktop\biskates.com\biskates\forks\django-pipeline Running setup.py egg_info for package from file:///(…)%5Cforks%5Cdjango-pipeline Installing collected packages: django-pipeline Running setup.py install for django-pipeline Successfully installed django-pipeline Cleaning up… (venv) C:\(…)>cd .. (venv) C:\(…)>python […]

Est-il possible d’afficher les arbres de dépendance pour les paquets pip?

J’ai un projet avec plusieurs dépendances de paquets, les principales exigences étant répertoriées dans requirements.txt . Lorsque j’appelle pip freeze imprime les paquets actuellement installés en tant que liste simple. Je préférerais aussi avoir leurs relations de dépendance, quelque chose comme ceci: Flask==0.9 Jinja2==2.7 Werkzeug==0.8.3 Jinja2==2.7 Werkzeug==0.8.3 Flask-Admin==1.0.6 Flask==0.9 Jinja2==2.7 Werkzeug==0.8.3 Le but est de […]

Comment utiliser pip avec python 3.4 sur windows?

Juste installé une nouvelle copie de Python 3.4.1 sur Windows 7. Ici dit que pip est inclus par défaut. mais je n’ai pas pu trouver de pip.exe ou certaines commandes pip. Dois-je l’installer séparément ou existe-t-il quelque part?

Problème d’installation de m2crypto avec pip sur OS X / macOS

pip install m2crypto Génère la sortie suivante: building ‘M2Crypto.__m2crypto’ extension swigging SWIG/_m2crypto.i to SWIG/_m2crypto_wrap.c swig -python -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/usr/include -I/usr/include/openssl -includeall -modern -o SWIG/_m2crypto_wrap.c SWIG/_m2crypto.i SWIG/_m2crypto.i:30: Error: Unable to find ‘openssl/opensslv.h’ SWIG/_m2crypto.i:33: Error: Unable to find ‘openssl/safestack.h’ SWIG/_evp.i:12: Error: Unable to find ‘openssl/opensslconf.h’ SWIG/_ec.i:7: Error: Unable to find ‘openssl/opensslconf.h’ error: command ‘swig’ failed with exit status […]

Installez py2exe pour python 2.7 sur pip: ce paquet nécessite Python 3.3 ou ultérieur

>>> python -c “import sys; print sys.version” 2.7.6 (default, Nov 10 2013, 19:24:18) [MSC v.1500 32 bit (Intel)] >>> pip –version pip 1.5.5 from C:\Python27\lib\site-packages (python 2.7) >>> pip install py2exe RuntimeError: This package requires Python 3.3 or later Bien que la page de téléchargement officielle de py2exe indique qu’ils ont exactement ce dont j’ai […]

L’installation de nouvelles versions de Python sur Cygwin n’installe pas Pip?

Bien que je sois conscient de la possibilité d’ installer Pip depuis la source , j’essaie d’éviter de passer par ce chemin pour que les mises à jour de Pip soient gérées par la gestion des paquets de Cygwin. J’ai récemment appris que les dernières versions de Python incluent Pip. Cependant, même si j’ai récemment […]

Superviser l’application virtualenv django via le superviseur

J’essaie d’utiliser un superviseur pour gérer mon projet Django exécutant gunicorn dans un virtualenv. Mon fichier de configuration ressemble à ceci: [program:diasporamas] command=/var/www/django/bin/gunicorn_django directory=/var/www/django/django_test process_name=%(program_name)s user=www-data autostart=false stdout_logfile=/var/log/gunicorn_diasporamas.log stdout_logfile_maxbytes=1MB stdout_logfile_backups=2 stderr_logfile=/var/log/gunicorn_diasporamas_errors.log stderr_logfile_maxbytes=1MB stderr_logfile_backups=2enter code here Le problème est que j’ai besoin d’un superviseur pour lancer la commande après avoir lancé ‘source bin / activate’ dans […]